import api from './index';

function setData(data) {
    let params = data ? data : {};
    params.token = localStorage.getItem('doc_phone_token');
    return params;
}

export default {
    //获取钉钉配置信息
    config(data){
        return api.post('config',data);
    },
    //通过免签码获取uid
    getSsoToken(data){
        return api.post('getSsoToken',data);
    },


    //访问文件夹列表
    folderList(data){
        return api.post('folderList',setData(data));
    },
    //访问文件列表
    articleList(data){
        return api.post('articleList',setData(data));
    },
    //获取文件详情
    articleDetail(data){
        return api.post('articleDetail',setData(data));
    },
    //修改文件
    articleEdit(data){
        return api.post('articleEdit',setData(data));
    },
}